version: '3.1'

networks:
  network-zabbix:
    driver: bridge

services:
  mysql:
    container_name: mysql
    image: zabbix/zabbix-server-mysql:ubuntu-6.2.*
    networks:
      - network-zabbix
    ports:
      - '3306:3306'
    volumes:
      - './zabbix/mysql:/var/lib/data'

      - mysqld --character-set-server=utf8 --collation-server=utf8_bin  
      - MYSQL_ROOT_PASSWORD=carryontech
      - MYSQL_DATABASE=zabbix
      - MYSQL_USER=zabbix
      - MYSQL_PASSWORD=carryontech

  zabbix-server:
    container_name: zabbix-server
    image: zabbix/zabbix-server-mysql:ubuntu-6.2.*
    networks:
      - network-zabbix
    links:
      - mysql
    restart: always
    ports:
      - '10051:10051'
    volumes:
      - './zabbix/alertscripts:/usr/lib/zabbix/alertscripts'
    environment:
      - DB_SERVER_HOST=mysql
      - MYSQL_DATABASE=zabbix
      - MYSQL_USER=zabbix
      - MYSQL_PASSWORD=carryontech
    depends_on:
      - mysql

  zabbix-frontend:
    container_name: zabbix-frontend
    image: zabbix/zabbix-web-apache-mysql:ubuntu-6.2.*
    networks:
      - network-zabbix
    links:
      - mysql
    restart: always
    ports:
      - '80:8080'
      - '443:8443'
    environment:
      - DB_SERVER_HOST=mysql
      - MYSQL_DATABASE=zabbix
      - MYSQL_USER=zabbix
      - MYSQL_PASSWORD=carryontech
      - PHP_TZ=America/Sao_Paulo
    depends_on:
      - mysql
   
  grafana:
    container_name: grafana
    image: grafana/grafana
    networks:
      - network-zabbix
    links:
      - mysql
      - zabbix-server
    restart: always
    ports:
      - '3000:3000'
    environment: 
      - GF_INSTALL_PLUGINS=alexanderzobnin-zabbix-app
    depends_on:
      - mysql
      - zabbix-server
  zabbix-agent:
    container_name: zabbix-agent
    image: zabbix/zabbix-agent:ubuntu-6.2.*
    user: root
    networks:
      - network-zabbix
    links:
      - zabbix-server
    restart: always
    privileged: true
    volumes:
      - /var/run:/var/run
    ports:
      - '10050:10050'
    environment:
      - ZBX_HOSTNAME=Zabbix server
      - ZBX_SERVER_HOST=172.18.0.1
    
